VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL dp
        SIGNAL a
        SIGNAL b
        SIGNAL c
        SIGNAL d
        SIGNAL e
        SIGNAL f
        SIGNAL g
        SIGNAL An0
        SIGNAL An1
        SIGNAL An2
        SIGNAL An3
        SIGNAL S1
        SIGNAL Bcd(3:0)
        SIGNAL Bcd0(3:0)
        SIGNAL Bcd1(3:0)
        SIGNAL Bcd2(3:0)
        SIGNAL Bcd3(3:0)
        SIGNAL Clk_50MHz
        SIGNAL Test(1:0)
        SIGNAL Clk_xxxHz
        SIGNAL XLXN_3
        SIGNAL XLXN_4
        SIGNAL Dp3
        SIGNAL Dp2
        SIGNAL Dp1
        SIGNAL Dp0
        PORT Output dp
        PORT Output a
        PORT Output b
        PORT Output c
        PORT Output d
        PORT Output e
        PORT Output f
        PORT Output g
        PORT Output An0
        PORT Output An1
        PORT Output An2
        PORT Output An3
        PORT Input Bcd0(3:0)
        PORT Input Bcd1(3:0)
        PORT Input Bcd2(3:0)
        PORT Input Bcd3(3:0)
        PORT Input Clk_50MHz
        PORT Input Test(1:0)
        PORT Output Clk_xxxHz
        PORT Input Dp3
        PORT Input Dp2
        PORT Input Dp1
        PORT Input Dp0
        BEGIN BLOCKDEF clock_scale
            TIMESTAMP 2005 10 3 19 41 26
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF count2bit_vhdl
            TIMESTAMP 2005 10 3 19 41 34
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF mux4x4_1x4_vhdl
            TIMESTAMP 2005 10 4 7 46 31
            RECTANGLE N 64 -640 320 0 
            LINE N 64 -608 0 -608 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -608 384 -608 
            LINE N 64 -288 0 -288 
            LINE N 64 -352 0 -352 
            LINE N 304 -224 368 -224 
            RECTANGLE N 304 -236 368 -212 
        END BLOCKDEF
        BEGIN BLOCKDEF bcd27segm_vhdl
            TIMESTAMP 2005 10 3 19 40 57
            RECTANGLE N 64 -448 320 0 
            LINE N 64 -416 0 -416 
            RECTANGLE N 0 -428 64 -404 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF dec2to4_vhdl
            TIMESTAMP 2005 10 3 19 41 40
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -32 0 -32 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_46 clock_scale
            PIN Clk_50MHz Clk_50MHz
            PIN Test(1:0) Test(1:0)
            PIN Clk_xxxHZ Clk_xxxHz
        END BLOCK
        BEGIN BLOCK XLXI_47 count2bit_vhdl
            PIN Clk_200Hz Clk_xxxHz
            PIN S1 S1
            PIN S0 XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_48 mux4x4_1x4_vhdl
            PIN Dp3 Dp3
            PIN Dp2 Dp2
            PIN Dp1 Dp1
            PIN Dp0 Dp0
            PIN A(3:0) Bcd0(3:0)
            PIN B(3:0) Bcd1(3:0)
            PIN C(3:0) Bcd2(3:0)
            PIN D(3:0) Bcd3(3:0)
            PIN Dp dp
            PIN S1 S1
            PIN S0 XLXN_3
            PIN Y(3:0) Bcd(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_52 bcd27segm_vhdl
            PIN Bcd(3:0) Bcd(3:0)
            PIN a a
            PIN b b
            PIN c c
            PIN d d
            PIN e e
            PIN f f
            PIN g g
        END BLOCK
        BEGIN BLOCK XLXI_53 dec2to4_vhdl
            PIN S1 S1
            PIN S0 XLXN_3
            PIN An3 An3
            PIN An2 An2
            PIN An1 An1
            PIN An0 An0
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH dp
            WIRE 1184 272 1216 272
            WIRE 1216 272 1216 976
            WIRE 1216 976 1760 976
        END BRANCH
        BEGIN BRANCH a
            WIRE 1728 528 1760 528
        END BRANCH
        BEGIN BRANCH b
            WIRE 1728 592 1760 592
        END BRANCH
        BEGIN BRANCH c
            WIRE 1728 656 1760 656
        END BRANCH
        BEGIN BRANCH d
            WIRE 1728 720 1760 720
        END BRANCH
        BEGIN BRANCH e
            WIRE 1728 784 1760 784
        END BRANCH
        BEGIN BRANCH f
            WIRE 1728 848 1760 848
        END BRANCH
        BEGIN BRANCH g
            WIRE 1728 912 1760 912
        END BRANCH
        RECTANGLE N 1820 512 2800 992 
        LINE N 2060 548 2060 956 
        LINE N 2308 552 2308 956 
        LINE N 2556 552 2556 936 
        BEGIN RECTANGLE N 1868 560 2008 580 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 1848 596 1872 728 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2008 596 2032 728 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 1868 752 2008 772 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 1848 788 1872 920 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 1868 924 2008 944 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2016 784 2040 916 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2020 948 2040 976 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN DISPLAY 1884 536 TEXT a
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1980 612 TEXT b
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1992 808 TEXT c
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1896 904 TEXT d
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1880 812 TEXT e
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1884 612 TEXT f
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1960 724 TEXT g
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1968 960 TEXT dp
            FONT 48 "Arial"
        END DISPLAY
        BEGIN RECTANGLE N 2108 560 2248 580 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2364 560 2504 580 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2604 560 2744 580 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2088 596 2112 728 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2264 596 2288 728 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2328 596 2352 728 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2504 596 2528 728 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2568 596 2592 728 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2760 596 2784 728 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2124 752 2264 772 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2364 752 2504 772 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2620 752 2760 772 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2088 788 2112 920 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2264 788 2288 920 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2328 788 2352 920 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2504 788 2528 920 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2584 788 2608 920 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2760 788 2784 920 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2124 924 2264 944 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2364 924 2504 944 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2620 924 2760 944 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2276 948 2296 976 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2516 948 2536 976 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        BEGIN RECTANGLE N 2772 948 2792 976 
            LINECOLOR 255 0 0
            FILLCOLOR 255 0 0
            FILLSTYLE Solid
        END RECTANGLE
        IOMARKER 1760 528 a R0 28
        IOMARKER 1760 592 b R0 28
        IOMARKER 1760 656 c R0 28
        IOMARKER 1760 720 d R0 28
        IOMARKER 1760 784 e R0 28
        IOMARKER 1760 848 f R0 28
        IOMARKER 1760 912 g R0 28
        IOMARKER 1760 976 dp R0 28
        IOMARKER 2688 1072 An0 R270 28
        IOMARKER 2448 1072 An1 R270 28
        IOMARKER 2192 1072 An2 R270 28
        IOMARKER 1952 1072 An3 R270 28
        BEGIN DISPLAY 1312 100 TEXT "Diagram for komponenten:  Muxdisplay Ver. 2"
            FONT 64 "Courier New"
            TEXTCOLOR 0 0 255
        END DISPLAY
        RECTANGLE N 1256 56 2688 148 
        BEGIN BRANCH Bcd(3:0)
            WIRE 1168 656 1296 656
            WIRE 1296 528 1296 656
            WIRE 1296 528 1344 528
        END BRANCH
        BEGIN BRANCH Bcd0(3:0)
            WIRE 752 656 800 656
        END BRANCH
        BEGIN BRANCH Bcd1(3:0)
            WIRE 752 720 800 720
        END BRANCH
        BEGIN BRANCH Bcd2(3:0)
            WIRE 752 784 800 784
        END BRANCH
        BEGIN BRANCH Bcd3(3:0)
            WIRE 752 848 800 848
        END BRANCH
        BEGIN BRANCH Clk_50MHz
            WIRE 208 240 224 240
        END BRANCH
        BEGIN BRANCH Test(1:0)
            WIRE 192 304 224 304
        END BRANCH
        BEGIN INSTANCE XLXI_47 80 624 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_48 800 880 R0
        END INSTANCE
        IOMARKER 752 656 Bcd0(3:0) R180 28
        IOMARKER 752 720 Bcd1(3:0) R180 28
        IOMARKER 752 784 Bcd2(3:0) R180 28
        IOMARKER 752 848 Bcd3(3:0) R180 28
        IOMARKER 640 128 Clk_xxxHz R0 28
        BEGIN BRANCH Clk_xxxHz
            WIRE 80 368 80 528
            WIRE 80 368 624 368
            WIRE 608 240 624 240
            WIRE 624 240 624 368
            WIRE 624 128 640 128
            WIRE 624 128 624 240
        END BRANCH
        BEGIN INSTANCE XLXI_46 224 336 R0
        END INSTANCE
        IOMARKER 192 304 Test(1:0) R180 28
        IOMARKER 208 240 Clk_50MHz R180 28
        BEGIN INSTANCE XLXI_52 1344 944 R0
        END INSTANCE
        BEGIN BRANCH An3
            WIRE 1264 1120 1952 1120
            WIRE 1952 1072 1952 1120
        END BRANCH
        BEGIN BRANCH An2
            WIRE 1264 1184 2192 1184
            WIRE 2192 1072 2192 1184
        END BRANCH
        BEGIN BRANCH An1
            WIRE 1264 1248 2448 1248
            WIRE 2448 1072 2448 1248
        END BRANCH
        BEGIN BRANCH An0
            WIRE 1264 1312 2688 1312
            WIRE 2688 1072 2688 1312
        END BRANCH
        BEGIN INSTANCE XLXI_53 880 1344 R0
        END INSTANCE
        BEGIN BRANCH S1
            WIRE 464 592 544 592
            WIRE 544 592 544 1120
            WIRE 544 1120 880 1120
            WIRE 544 592 800 592
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 464 528 512 528
            WIRE 512 528 800 528
            WIRE 512 528 512 1312
            WIRE 512 1312 880 1312
        END BRANCH
        BEGIN BRANCH Dp3
            WIRE 768 272 800 272
        END BRANCH
        BEGIN BRANCH Dp2
            WIRE 768 336 800 336
        END BRANCH
        BEGIN BRANCH Dp1
            WIRE 768 400 800 400
        END BRANCH
        BEGIN BRANCH Dp0
            WIRE 768 464 800 464
        END BRANCH
        IOMARKER 768 464 Dp0 R180 28
        IOMARKER 768 400 Dp1 R180 28
        IOMARKER 768 336 Dp2 R180 28
        IOMARKER 768 272 Dp3 R180 28
    END SHEET
END SCHEMATIC
